Download it now!
Bug 126291 - Calc fails to copy to clipboard in a way that can be parsed to a vector object by Scribus (Regression)
Summary: Calc fails to copy to clipboard in a way that can be parsed to a vector objec...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-08 22:30 UTC by AlanR1138
Modified: 2019-09-02 07:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description AlanR1138 2019-07-08 22:30:04 UTC
Description:
Calc appears to copy only the raw text and not the formatted text and other formatting data to the clipboard.

Steps to Reproduce:
1. Create a table in Calc.
2. Highlight the data.
3. Ctrl-C
4. Give Scribus focus with an open document. (Not in a text box.)
5. Ctrl-V


Actual Results:
Nothing is inserted.

Expected Results:
A vector object duplicating the formatting of table is inserted into the document.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
This workflow worked for several years with various versions of LibreOffice and Scribus. After updating from LO 6.1.5.2 to 6.2.4.2 it fails. It also fails with 6.2.5.2. Reverting to 6.1.5.2 corrects the failure.

Plain text is still able to be pasted into a text box.

I tested against multiple versions of Scribus on both Gentoo Linux and Windows 10.
Comment 1 Xisco Faulí 2019-07-31 10:36:31 UTC
Could you please paste the info from Help - about LibreOffice ?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' once the information has been provided
Comment 2 AlanR1138 2019-07-31 19:40:00 UTC
Working
-------
Version: 6.1.5.2
Build ID: Gentoo official package
CPU threads: 12; OS: Linux 4.19; UI render: default; VCL: gtk3_kde5; 
Locale: en-US (en_US.UTF-8); Calc: group threaded

===========

Not Working
-----------
Version: 6.2.4.2.0+
Build ID: Gentoo official package
CPU threads: 12; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.2.5.2
Build ID: Gentoo official package
CPU threads: 12; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 AlanR1138 2019-08-26 00:34:07 UTC
Fixed in 6.3.0.4.

Version: 6.3.0.4
Build ID: Gentoo official package
CPU threads: 12; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Xisco Faulí 2019-09-02 07:23:35 UTC
(In reply to AlanR1138 from comment #3)
> Fixed in 6.3.0.4.
> 
> Version: 6.3.0.4
> Build ID: Gentoo official package
> CPU threads: 12; OS: Linux 4.19; UI render: default; VCL: kde5; 
> Locale: en-US (en_US.UTF-8); UI-Language: en-US
> Calc: threaded

Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.